# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IListInstance

Packages that use IListInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IListInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IListInstance
Modifier and Type
Method
Description
`void`
ListEventAdapter.`onCreate(IListInstance list, IReportContext reportContext)`
`void`
ListEventAdapter.`onPageBreak(IListInstance list, IReportContext reportContext)`
`void`
ListEventAdapter.`onRender(IListInstance list, IReportContext reportContext)`

## Uses of IListInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IListInstance
Modifier and Type
Method
Description
`void`
IListEventHandler.`onCreate(IListInstance list, IReportContext reportContext)`
Handle the onCreate event
`void`
IListEventHandler.`onPageBreak(IListInstance list, IReportContext reportContext)`
Handle the onPageBreak event
`void`
IListEventHandler.`onRender(IListInstance list, IReportContext reportContext)`
Handle the onRender event